# std::istream_iterator< Type, CharT, Traits, Dist > Class Template Reference

Provides input iterator semantics for streams. More...

`#include <stream_iterator.h>`

Inheritance diagram for std::istream_iterator< Type, CharT, Traits, Dist >:

[legend]
Collaboration diagram for std::istream_iterator< Type, CharT, Traits, Dist >:

[legend]
List of all members.

## Public Types

typedef input_iterator_tag | iterator_category
| One of the tag types.
typedef Type | value_type
| The type "pointed to" by the iterator.
typedef Dist | difference_type
| Distance between iterators is represented as this type.
typedef const Type * | pointer
| This type represents a pointer-to-value_type.
typedef const Type & | reference
| This type represents a reference-to-value_type.

## Public Member Functions

| istream_iterator ()
| Construct end of input stream iterator.
| istream_iterator (istream_type &s)
| Construct start of input stream iterator.

## Detailed Description

### template<typename Type, typename CharT = char, typename Traits = char_traits<CharT>, typename Dist = ptrdiff_t>
class std::istream_iterator< Type, CharT, Traits, Dist >

Provides input iterator semantics for streams.

Definition at line 47 of file stream_iterator.h.

## Member Typedef Documentation

typedef Dist std::iterator< input_iterator_tag , Type , Dist , const Type * , const Type & >::difference_type `[inherited]`

| Distance between iterators is represented as this type. Definition at line 113 of file stl_iterator_base_types.h.

typedef input_iterator_tag std::iterator< input_iterator_tag , Type , Dist , const Type * , const Type & >::iterator_category `[inherited]`

| One of the tag types. Definition at line 109 of file stl_iterator_base_types.h.

typedef const Type * std::iterator< input_iterator_tag , Type , Dist , const Type * , const Type & >::pointer `[inherited]`

| This type represents a pointer-to-value_type. Definition at line 115 of file stl_iterator_base_types.h.

typedef const Type & std::iterator< input_iterator_tag , Type , Dist , const Type * , const Type & >::reference `[inherited]`

| This type represents a reference-to-value_type. Definition at line 117 of file stl_iterator_base_types.h.

typedef Type std::iterator< input_iterator_tag , Type , Dist , const Type * , const Type & >::value_type `[inherited]`

| The type "pointed to" by the iterator. Definition at line 111 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

template<typename Type, typename CharT = char, typename Traits = char_traits<CharT>, typename Dist = ptrdiff_t>
std::istream_iterator< Type, CharT, Traits, Dist >::istream_iterator | ( |  | ) | `[inline]`

| Construct end of input stream iterator. Definition at line 62 of file stream_iterator.h.

template<typename Type, typename CharT = char, typename Traits = char_traits<CharT>, typename Dist = ptrdiff_t>
std::istream_iterator< Type, CharT, Traits, Dist >::istream_iterator | ( | istream_type & | s | ) | `[inline]`

| Construct start of input stream iterator. Definition at line 66 of file stream_iterator.h.

The documentation for this class was generated from the following file:

- stream_iterator.h